{% extends "main/base.html" %}
{% load static %}

{% block scripts %}
    <script src="{% static 'main/js/search.js' %}"></script>
    <script src="{% static 'pids/js/reset.js' %}"></script>
    <script src="{% static 'pids/js/form.js' %}"></script>
{% endblock %}

{% block content %}
    <div id="search-container">
        <form action="{% url 'pids-list' %}" method="get" accept-charset="UTF-8" id="pid-search-form">
            <div id="search-filters">
                {% for field in pid_search_form %}
                    <div>{{ field.label_tag }}{{ field }}</div>
                {% endfor %}
                <button id="search-btn" type="submit" class="btn btn-raised btn-rounded btn-success">Search</button>
                <button id="reset-btn" type="button" class="btn btn-mdb-color btn-rounded waves-effect waves-light">
                    Reset
                </button>
            </div>
        </form>
        <div id="search-results">
            {% if pid_list %}
                <div class="search-top">
                    <form class="form-inline" action="{% url 'pids-list' %}" method="get" accept-charset="UTF-8">
                        <div class="my-0">
                            <input id="top-search" name="pid_number" class="form-control mr-sm-2" type="text"
                                   placeholder="PID Number" aria-label="Search">
                            <button id="search-top-btn" type="submit"
                                    class="btn btn-primary btn-rounded waves-effect waves-light">
                                Search
                            </button>
                        </div>
                    </form>
                </div>
                {% include "pids/pid_list_table.html" %}
            {% elif pid_search_form.is_bound %}
                <p>No results</p>
            {% endif %}
            {% if is_admin %}
                <button id="add-pid-table-btn" type="submit" class="btn btn-indigo waves-effect waves-light"
                        onclick='overlay()'>
                    Add PID
                </button>
            {% endif %}
        </div>
        <div id="pid-overlay">
            <div id="pid-form-content">
                <h3>Create new PID</h3>
                <form method="post" accept-charset="UTF-8" id="pid-form">
                    {% csrf_token %}
                    <div id="pid-filters">
                        {% for field in pid_form %}
                            <div class="pid-filter">{{ field.label_tag }}{{ field }}</div>
                        {% endfor %}
                        <div id="pid-form-buttons">
                            <button id="add-pid-btn" type="submit"
                                    class="btn btn-primary btn-rounded waves-effect waves-light">
                                Add PID
                            </button>
                            <button id="pid-cancel-btn" type="button" onclick='overlay()'
                                    class="btn btn-info btn-rounded waves-effect waves-light">
                                Cancel
                            </button>
                        </div>
                    </div>
                </form>
                <script type="text/javascript">
                    let save_btn = document.getElementById("add-pid-btn")
                    save_btn.addEventListener("click", function () {
                        let pid_number = document.getElementById("id_pid_number").value;
                        let pid_issuer = document.getElementById("id_pid_issuer").value;
                        let description = document.getElementById("id_description").value;
                        let page_url = document.getElementById("id_page_url").value;
                        let data = {
                            "access_token": "{{ access_token|safe }}",
                            "pid_number": pid_number,
                            "pid_issuer": pid_issuer,
                            "description": description,
                            "page_url": page_url
                        }
                        let url = "/api/pids/"
                        $.post(url, data, function () {
                            location.href = "/ui/pids"
                        }).fail(function (jqXHR, textStatus, errorThrown) {
                            console.log(jqXHR.responseText);
                            alert(jqXHR.responseText);
                        });
                    });
                </script>
            </div>
        </div>
    </div>
{% endblock %}